Bug 507008 - I am getting a python exception error whenever I use the command 'yum'. Fedora 11 i686
I am getting a python exception error whenever I use the command 'yum'. Fedor...
Status: CLOSED DUPLICATE of bug 501723
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 15:40 EDT by the.hw.group
Modified: 2014-01-21 18:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 10:36:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description the.hw.group 2009-06-19 15:40:16 EDT
Description of problem:

I am getting a python exception error whenever I use the command 'yum'. This happened after I updated my fedora 11 i686 system this morning, and rebooted.


# yum install *selinux*
Loaded plugins: changelog, list-data, refresh-packagekit, security, tmprepo,
              : verify
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 157, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 189, in getOptionsConfig
    self.conf
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 652, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 237, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 408, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 163, in __init__
    self.run('config')
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 180, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/tmprepo.py", line 179, in config_hook
    parser.values.tmp_repos = []
AttributeError: OptionGroup instance has no attribute 'values'
[root@fail ~]# yum install selinux*
Loaded plugins: changelog, list-data, refresh-packagekit, security, tmprepo,
              : verify
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 157, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 189, in getOptionsConfig
    self.conf
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 652, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 237, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 408, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 163, in __init__
    self.run('config')
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 180, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/tmprepo.py", line 179, in config_hook
    parser.values.tmp_repos = []
AttributeError: OptionGroup instance has no attribute 'values'






# yum -h
Loaded plugins: changelog, list-data, refresh-packagekit, security, tmprepo,
              : verify
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 157, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 189, in getOptionsConfig
    self.conf
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 652, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 237, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 408, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 163, in __init__
    self.run('config')
  File "/usr/lib/python2.6/site-packages/yum/plugins.py", line 180, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/tmprepo.py", line 179, in config_hook
    parser.values.tmp_repos = []
AttributeError: OptionGroup instance has no attribute 'values'



Version-Release number of selected component (if applicable):

yum-3.2.23-3.fc11.noarch

Steps to Reproduce:
install fedora 11, update the system to current update status, reboot, type "yum", "yum install PACKAGENAM", or "yum -h".


Actual results:


Expected results:


Additional info:

# rpm -qa | grep yum
anaconda-yum-plugins-1.0-4.fc11.noarch
yum-plugin-security-1.1.22-1.fc11.noarch
PackageKit-yum-plugin-0.4.8-1.fc11.i586
yum-utils-1.1.22-1.fc11.noarch
yumex-2.0.5-6.fc11.noarch
yum-plugin-tmprepo-1.1.22-1.fc11.noarch
PackageKit-yum-0.4.8-1.fc11.i586
yum-metadata-parser-1.1.2-12.fc11.i586
yum-plugin-changelog-1.1.22-1.fc11.noarch
yum-updatesd-0.9-2.fc11.noarch
yum-plugin-list-data-1.1.22-1.fc11.noarch
yum-3.2.23-3.fc11.noarch
yum-plugin-verify-1.1.22-1.fc11.noarch


Linux boxclub 2.6.29.4-167.fc11.i686.PAE #1 SMP Wed May 27 17:28:22 EDT 2009 i686 i686 i386 GNU/Linux
Comment 1 the.hw.group 2009-06-19 16:01:26 EDT
Identified package in question causing this:

yum-plugin-tmprepo-1.1.22-1.fc11.noarch


when this package is installed yum goes literally "out of whack".

I Identified this package as the cause by uninstalling (rpm -e) each yum - related rpm at a time.

Please look into this. Hope this helps!
Comment 2 Andreas Berendsen 2009-06-22 03:13:11 EDT
Same for F10: 

________________________________________________
[Linux 2.6.29.4.afb.fc10.x86_amd64/bash] root@storage.berendsen.local:/root
# yum -y update
Loaded plugins: aliases, allowdowngrade, changelog, downloadonly, fastestmirror, fedorakmod, filter-data, kernel-module, keys, list-data, merge-conf,
              : post-transaction-actions, presto, priorities, protect-packages, protectbase, refresh-packagekit, refresh-updatesd, remove-with-leaves,
              : security, tmprepo, tsflags, upgrade-helper, verify, versionlock
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 157, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 189, in getOptionsConfig
    self.conf
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 652, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 237, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 408, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 163, in __init__
    self.run('config')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 180, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/tmprepo.py", line 179, in config_hook
    parser.values.tmp_repos = []
AttributeError: OptionGroup instance has no attribute 'values'
________________________________________________
[Linux 2.6.29.4.afb.fc10.x86_amd64/bash] root@storage.berendsen.local:/root
# rpm -qa "*tmprepo*"
yum-plugin-tmprepo-1.1.22-1.fc10.noarch
________________________________________________
[Linux 2.6.29.4.afb.fc10.x86_amd64/bash] root@storage.berendsen.local:/root
# rpm -e yum-plugin-tmprepo-1.1.22-1.fc10.noarch
________________________________________________
[Linux 2.6.29.4.afb.fc10.x86_amd64/bash] root@storage.berendsen.local:/root
# yum -y update
Loaded plugins: aliases, allowdowngrade, changelog, downloadonly, fastestmirror, fedorakmod, filter-data, kernel-module, keys, list-data, merge-conf,
              : post-transaction-actions, presto, priorities, protect-packages, protectbase, refresh-packagekit, refresh-updatesd, remove-with-leaves,
              : security, tsflags, upgrade-helper, verify, versionlock
Repository livna is listed more than once in the configuration
Repository livna-debuginfo is listed more than once in the configuration
Repository livna-source is listed more than once in the configuration
Loading mirror speeds from cached hostfile
 * fedora: mirror.internode.on.net
 * fedora-source: mirror.internode.on.net
 * livna: rpm.livna.org
 * livna-source: rpm.livna.org
 * rpmfusion-free: ftp.cc.uoc.gr
 * rpmfusion-free-updates: ftp.cc.uoc.gr
 * rpmfusion-nonfree: ftp.cc.uoc.gr
 * rpmfusion-nonfree-updates: ftp.cc.uoc.gr
 * updates: ftp.wicks.co.nz
 * updates-source: ftp.wicks.co.nz
Setting up and reading Presto delta metadata
No Presto metadata available for RE
No Presto metadata available for fedora
No Presto metadata available for fedora-source
No Presto metadata available for google
Comment 3 James Antill 2009-06-22 10:36:52 EDT

*** This bug has been marked as a duplicate of bug 501723 ***

Note You need to log in before you can comment on or make changes to this bug.